Author: Andreas Tille <tille@debian.org>
Bug-Closed: http://bugs.debian.org/656755
Date: Sat, 21 Jan 2012 17:27:53 +0100
Description: According to the bug reporter the plugin causes
 trouble on all architectures but amd64.  Because this plugin
 is finally not used at all the building will be simply
 suppressed

That's too simple and does not work - it results in

../../libhmsbeagle/.libs/libhmsbeagle.so: undefined reference to `beagle::plugin::PluginManager::instance()'
../../libhmsbeagle/.libs/libhmsbeagle.so: undefined reference to `beagle::plugin::PluginManager::findPlugin(char const*)'


--- libhmsbeagle-1.0.orig/libhmsbeagle/Makefile.am
+++ libhmsbeagle-1.0/libhmsbeagle/Makefile.am
@@ -1,4 +1,4 @@
-SUBDIRS=GPU CPU plugin
+SUBDIRS=GPU CPU
 if BUILDJNI
 lib_LTLIBRARIES=libhmsbeagle.la libhmsbeagle-jni.la
 else
@@ -6,7 +6,7 @@
 endif
 
 libhmsbeagle_la_SOURCES=beagle.cpp BeagleImpl.h
-libhmsbeagle_la_LIBADD = plugin/libplugin.la
+# libhmsbeagle_la_LIBADD = plugin/libplugin.la
 libhmsbeagle_la_CXXFLAGS = $(AM_CXXFLAGS)
 libhmsbeagle_la_LDFLAGS= -version-info $(GENERIC_LIBRARY_VERSION)
 
